> ## Documentation Index
> Fetch the complete documentation index at: https://docs.4r.sa/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Domain

> Remove a custom domain

## Path Parameters

<ParamField path="id" type="string" required>
  Domain ID
</ParamField>

<Warning>
  Deleting a domain will affect all URLs using it. They will revert to the default domain.
</Warning>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE https://snip.sa/api/domains/507f1f77bcf86cd799439015 \
    -H "X-API-Key: your_api_key_here"
  ```

  ```javascript JavaScript theme={null}
  const response = await axios.delete(
    'https://snip.sa/api/domains/507f1f77bcf86cd799439015',
    {
      headers: { 'X-API-Key': 'your_api_key_here' }
    }
  );
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "message": "Domain deleted successfully"
  }
  ```
</ResponseExample>
